FROM golang:1.22.1-alpine as build-stage
WORKDIR /app
COPY *.go .
COPY go.mod .
COPY go.sum .
RUN go build

# Run the tests in the container
#FROM build-stage AS run-test-stage
#RUN go test -v ./...

FROM scratch
WORKDIR /app
COPY public ./public
COPY --from=build-stage /app/web-app .
CMD ["./web-app"]
